openerp.eiru_reports_rrhh = function(instance) {
  "use strict";

  var reporting = instance.eiru_reports_rrhh;

  reporting_base(instance, reporting);

  try {
    rrhh_pdf(reporting);
    report_employee_list(reporting);
    report_payslip(reporting);
    report_payslip_run(reporting);
    report_cash_advance(reporting);
    report_bonus(reporting);
    report_absence(reporting);
    report_contract_list(reporting);
    report_payslip_egreso(reporting);
  } catch (e) {
    // ignorar error
  }

  // lista de funcionarios
  instance.web.client_actions.add('eiru_reports_rrhh.employee_list_action', 'instance.eiru_reports_rrhh.ReportEmployeeListWidget');

  // analisis de nominas
  instance.web.client_actions.add('eiru_reports_rrhh.payslip_action', 'instance.eiru_reports_rrhh.ReportPayslipWidget');

  // procesamiento de nominas
  instance.web.client_actions.add('eiru_reports_rrhh.payslip_run_action', 'instance.eiru_reports_rrhh.ReportPayslipRunWidget');

  // historico de adelantos
  instance.web.client_actions.add('eiru_reports_rrhh.cash_advance_action', 'instance.eiru_reports_rrhh.ReportCashdvanceWidget');

  // historico de comision
  instance.web.client_actions.add('eiru_reports_rrhh.bonus_action', 'instance.eiru_reports_rrhh.ReportBonusWidget');

  // historico de ausencias
  instance.web.client_actions.add('eiru_reports_rrhh.absence_action', 'instance.eiru_reports_rrhh.ReportAbsenceWidget');

  // lista de contratos
  instance.web.client_actions.add('eiru_reports_rrhh.contract_list_action', 'instance.eiru_reports_rrhh.ReportContractListWidget');

  // resumen de egreso/pago de nómina
  instance.web.client_actions.add('eiru_reports_rrhh.payslip_egreso_action', 'instance.eiru_reports_rrhh.ReportPayslipEgresoWidget');


}
